# Created by pyp2rpm-3.3.2
%global pypi_name colour

Name:           python-%{pypi_name}
Version:        0.1.5
Release:        %mkrel 9
Summary:        Converts and manipulates various color representation
Group:          Development/Python
License:        BSD 3-Clause License
URL:            https://github.com/vaab/colour
Source0:        https://files.pythonhosted.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(d2to1)
BuildRequires:  python3dist(setuptools)

%description
Python color representations manipulation library (RGB, HSL, web, ...)

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Conflicts:	python3-py-colour

%description -n python3-%{pypi_name}
Python color representations manipulation library (RGB, HSL, web, ...)

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Sat Mar 01 2025 wally <wally> 0.1.5-9.mga10
+ Revision: 2154560
- rebuild for python3.13

* Mon Jan 27 2025 daviddavid <daviddavid> 0.1.5-8.mga10
+ Revision: 2142821
- switch to pyproject
- remove python3-nose runtime dependency

* Thu Dec 28 2023 daviddavid <daviddavid> 0.1.5-7.mga10
+ Revision: 2022914
- rebuild for py3.12

* Thu Mar 24 2022 umeabot <umeabot> 0.1.5-6.mga9
+ Revision: 1824792
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 tv <tv> 0.1.5-5.mga9
+ Revision: 1778846
- Fix filelist for python-3.10
- Rebuild for python-3.10

* Mon Apr 19 2021 daviddavid <daviddavid> 0.1.5-4.mga9
+ Revision: 1716952
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.1.5-3.mga8
+ Revision: 1534934
- Mageia 8 Mass Rebuild

* Mon Oct 07 2019 tv <tv> 0.1.5-2.mga8
+ Revision: 1450211
- rebuild with python 3.8

* Sun Jul 07 2019 wally <wally> 0.1.5-1.mga8
+ Revision: 1419355
- imported package python-colour

